%% Filewriter.m
classdef Filewriter < handle
% Property data is private to the class
   properties (SetAccess = private, GetAccess = private)
      FileID
   end % properties

   methods
   % Construct an object and 
   % save the file ID  
      function obj = Filewriter(filename) 
         obj.FileID = fopen(filename,'wt');
      end
 
      function writeToFile(obj,text_str)
         fprintf(obj.FileID,'%s',text_str);
      end
      
      function writeHeader(obj, header_str) 
          %wb_[쐬 GNZOtƂɕ֗
          [rows,cols] = size(header_str);
          for i = 1:rows
              fprintf(obj.FileID, '%s\t', header_str{i,1:end-1}); % ̏o
              fprintf(obj.FileID, '%s\n', header_str{i,end}); % ś̕As܂߂ďo
          end
      end
      % Delete methods are always called before a object 
      % of the class is destroyed 
      function delete(obj)
         fclose(obj.FileID);
      end 
   end  % methods
end % class
